import { Command, CommandOptions } from '@teambit/cli';
import { PubsubMain } from '@teambit/pubsub';
import { Logger } from '@teambit/logger';
import React from 'react';
import type { UiMain } from '../ui.main.runtime';
export declare class StartCmd implements Command {
    private ui;
    private logger;
    private pubsub;
    startingtimestamp: any;
    name: string;
    description: string;
    alias: string;
    group: string;
    shortDescription: string;
    options: CommandOptions;
    constructor(ui: UiMain, logger: Logger, pubsub: PubsubMain);
    report([uiRootName, userPattern]: [string, string], { dev, port, rebuild, }: {
        dev: boolean;
        port: string;
        rebuild: boolean;
        verbose: boolean;
        suppressBrowserLaunch: boolean;
    }): Promise<string>;
    private asyncRender;
    private clearConsole;
    render([uiRootName, userPattern]: [string, string], { dev, port, rebuild, verbose, }: {
        dev: boolean;
        port: string;
        rebuild: boolean;
        verbose: boolean;
        suppressBrowserLaunch: boolean;
    }): Promise<React.ReactElement>;
}
